Docs

Create Proposal

POST /Proposals

POST/Proposals

Creates a proposal or a change order (type Proposal or ChangeOrder) in Draft status and returns its id. A change order requires parentProposalId, which must be an Accepted proposal and not another change order; a Proposal must not have one. clientCollaboratorRecordId must be a collaborator on this event (Events_GetCollaborators). Requires event admin permission.

Request Body

FieldTypeRequiredDescription
namestringOptional
typestringOptional
parentProposalIduuidOptional
clientCollaboratorRecordIduuidOptional
termsstringOptional
internalNotesstringOptional

Response

Type: uuid